var tableMovieElement = document.getElementById("tableMovie");

if (tableMovieElement) {
    var api_key = '12baaf3cebc97b13ab92bd9b98d0725b';
    var base_url = 'https://api.themoviedb.org/3/discover/movie?api_key=';
    var url_query = '&language=en-US&sort_by=popularity.desc&include_adult=false&include_video=false'
    fetch(base_url+api_key+url_query)
    .then(function(response) {
        return response.json();
    })
    .then(function(myJson) {
        if (myJson.results.length < 1) {
            var tableRef = document.getElementById('tableMovie').getElementsByTagName('tbody')[0];
            var html = '<tr>'+
                            '<td>Tidak ada data</td>'+
                        '</tr>';
            tableRef.insertRow().innerHTML = html;
        } else {
            var data = myJson.results
            var tableRef = document.getElementById('tableMovie').getElementsByTagName('tbody')[0];

            for (let index = 0; index < myJson.results.length; index++){
                var html = '<tr>'+
                                '<td>'+(index+1)+'</td>'+
                                '<td><img src="https://image.tmdb.org/t/p/original'+data[index].poster_path+'" class="img-poster" alt="image"></td>'+
                                '<td>'+data[index].title+'</td>'+
                                '<td>Sinopsis film '+data[index].title+' <button class="btn-sinopsis" data-sinopsis="'+data[index].overview+'"><img src="../../recruitment/info.svg" alt="icon-info"></button></td>'+
                            '</tr>';
                tableRef.insertRow().innerHTML = html;
            }

            var modal = document.getElementById("myModal");
            var span = document.getElementsByClassName("close")[0];
            var btn = document.getElementsByClassName("btn-sinopsis");
            for(var i = 0; i < btn.length; i++) {
                btn[i].onclick = function (e) {
                    document.getElementById('sinopsisValue').innerText = this.dataset.sinopsis
                    modal.style.display = "block";
                }
            }

            span.onclick = function() {
                modal.style.display = "none";
            }
        }
    });

    var btnSearch = document.getElementById("btnSearch");
    btnSearch.onclick = function() {
        var val = document.getElementById('inputSearch').value;
        
        base_url = 'https://api.themoviedb.org/3/search/movie?api_key=';
        url_query = '&query='+encodeURI(val)
        
        fetch(base_url+api_key+url_query)
        .then(function(response) {
            return response.json();
        })
        .then(function(myJson) {
            console.log(myJson);
            if (myJson.results.length < 1) {
                var tableRef = document.getElementById('tableMovie').getElementsByTagName('tbody')[0];
                var html = '<tr>'+
                                '<td>Tidak ada data</td>'+
                            '</tr>';
                tableRef.insertRow().innerHTML = html;
            } else {
                var data = myJson.results
                var tableRef = document.getElementById('tableMovie').getElementsByTagName('tbody')[0];

                var exist = document.getElementById('tableMovie').getElementsByTagName('tbody')[0].getElementsByTagName('tr');
                console.log(exist.length);
                for (let j = 0; j < exist.length; j++) {
                    tableRef.deleteRow(j);
                }

                for (let index = 0; index < myJson.results.length; index++){
                    var html = '<tr>'+
                                    '<td>'+(index+1)+'</td>'+
                                    '<td><img src="https://image.tmdb.org/t/p/original'+data[index].poster_path+'" class="img-poster" alt="image"></td>'+
                                    '<td>'+data[index].title+'</td>'+
                                    '<td>Sinopsis film '+data[index].title+' <button class="btn-sinopsis" data-sinopsis="'+data[index].overview+'"><img src="../../recruitment/info.svg" alt="icon-info"></button></td>'+
                                '</tr>';
                    tableRef.insertRow().innerHTML = html;
                }

                var modal = document.getElementById("myModal");
                var span = document.getElementsByClassName("close")[0];
                var btn = document.getElementsByClassName("btn-sinopsis");
                for(var i = 0; i < btn.length; i++) {
                    btn[i].onclick = function (e) {
                        document.getElementById('sinopsisValue').innerText = this.dataset.sinopsis
                        modal.style.display = "block";
                    }
                }

                span.onclick = function() {
                    modal.style.display = "none";
                }
            }
        });
    }
}

function addCard(params) {
    var listCard = document.getElementById("cardList");
    var elem = `<div class="col-3">
                    <div class="card-5">
                        <img src="../../recruitment/IconDealer.png" alt="">
                        <p>Dealership & Workshop</p>
                    </div>
                </div>`;

    var delayInMilliseconds = 3000;
    setTimeout(function() {
        listCard.innerHTML += elem;
    }, delayInMilliseconds);
}

var card = document.getElementsByClassName("card-5");
for(var i = 0; i < card.length; i++) {
    card[i].onclick = addCard
}

var tableCommentElement = document.getElementById("tableComment");
if (tableCommentElement) {
    var base_url = 'https://jsonplaceholder.typicode.com/comments';
    fetch(base_url)
    .then(function(response) {
        return response.json();
    })
    .then(function(myJson) {
        console.log(myJson);
        if (myJson.length < 1) {
            var tableRef = document.getElementById('tableComment').getElementsByTagName('tbody')[0];
            var html = '<tr>'+
                            '<td>Tidak ada data</td>'+
                        '</tr>';
            tableRef.insertRow().innerHTML = html;
        } else {
            var data = myJson
            var tableRef = document.getElementById('tableComment').getElementsByTagName('tbody')[0];

            for (let index = 0; index < myJson.length; index++){
                var html = '<tr>'+
                                '<td>'+(index+1)+'</td>'+
                                '<td>'+data[index].name+'</td>'+
                                '<td>'+data[index].email+'</td>'+
                                '<td>'+data[index].body+'</td>'+
                            '</tr>';
                tableRef.insertRow().innerHTML = html;
            }
        }
    });
}